"""Add router workflows.

Revision ID: 815033570ad7
Revises: 0c31b60487c8
Create Date: 2023-11-21 12:53:26.413333

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '815033570ad7'
down_revision = '0c904cf0b66b'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_router",
        "target": "CREATE",
        "description": "Create router",
        "product_type": "Router"
    },
    {
        "name": "terminate_router",
        "target": "TERMINATE",
        "description": "Terminate router",
        "product_type": "Router"
    },
    {
        "name": "import_router",
        "target": "CREATE",
        "description": "Import router",
        "product_type": "Router"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
